Уязвимость BDU:2020-03962

Дата: 19.05.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-03962.

Наименование уязвимости: Уязвимость модуля vhost-crypto набора библиотек и драйверов для быстрой обработки пакетов dpdk, позволяющая нарушителю получить доступ к конфиденциальным данным.

Описание уязвимости: Уязвимость модуля vhost-crypto набора библиотек и драйверов для быстрой обработки пакетов dpdk связана с целочисленным переполнением значения. Эксплуатация уязвимости может позволить нарушителю получить доступ к конфиденциальным данным
Уязвимое ПО: Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 8 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Debian GNU/Linux 10.0 | Операционная система Canonical Ltd. Ubuntu 19.10 | Операционная система Fedora Project Fedora 32 | Операционная система Canonical Ltd. Ubuntu 20.04 LTS | Прикладное ПО информационных систем dpdk до 18.11 включительно | Сетевое программное средство Oracle Corp. Oracle Communications Session Border Controller от 8.2 до 8.4 включительно | Сетевое программное средство Oracle Corp. Enterprise Communications Broker 3.1 | Сетевое программное средство Oracle Corp. Enterprise Communications Broker 3.2 |

Наименование ОС и тип аппаратной платформы: Red Hat Enterprise Linux 7 | Ubuntu 1804 LTS | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Red Hat Enterprise Linux 8 | OpenSUSE Leap 151 | Debian GNU/Linux 100 | Ubuntu 1910 | Fedora 32 | Ubuntu 2004 LTS |
Дата выявления: 19.05.2020.
CVSS 2.0: AV:L/AC:L/Au:S/C:C/I:N/A:N
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,6)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 4,4)

Возможные меры по устранению:
Использование рекомендаций:
Для dpdk:
https://bugs.dpdk.org/show_bug.cgi?id=269

Для Debian:
Обновление программного обеспечения (пакета dpdk) до 18.11.6-1~deb10u2 или более поздней версии

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4362-1

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]/message/HRHKFVV4MRWNNJOYQOVP64L4UVWYPEO4/

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2020-05/msg00045.html

Для программных продуктов Red Hat Inc.:
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2020-10724

Для программных продуктов Oracle Corp.:
https://www.oracle.com/security-alerts/cpujan2021.html
https://www.oracle.com/security-alerts/cpuoct2020.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2020-10724.

Тип ошибки CWE: CWE-190
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://bugs.dpdk.org/show_bug.cgi?id=269
https://nvd.nist.gov/vuln/detail/CVE-2020-10724
https://security-tracker.debian.org/tracker/CVE-2020-10724
https://ubuntu.com/security/notices/USN-4362-1
https://www.oracle.com/security-alerts/cpujan2021.html
https://www.oracle.com/security-alerts/cpuoct2020.html
https://lists.fedoraproject.org/archives/list/[email protected]/message/HRHKFVV4MRWNNJOYQOVP64L4UVWYPEO4/
https://lists.opensuse.org/opensuse-security-announce/2020-05/msg00045.html
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2020-10724

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *